Subject: [rbridge] last call comment

From: "Jeff Pickering" <[email-masked]>
Date: Wed, 1 Jul 2009 10:53:34 -0700

Section 4.5.1

   "When building the tree number j, remember all possible equal cost

   parents for node N. After calculating the entire "tree" (actually,

   directed graph), for each node N, if N has "p" parents, then order

   the parents according to 7-byte ID. For tree j, choose N's parent as

   choice j mod p."

   I really dont like the idea of keeping all P parents, esp in an environment

   like fat tree where there may be dozens (64?) of upstream equal cost parents (times thousands of nodes).

      To require this will be a huge overhead. That said, we should at least say whether "order the parents"

      means starting with lowest or highest.

     Section 4.5.2

      "In this case, R1-R2 adjacencies are ordered as follows, with

      the one "most preferred" adjacency being the one that R1 transmits

      to R2 on, and the one that R2 accepts traffic from R1 on:"

      The way I read this, the statement is meaningless, R1 and R2 both transmit to each other. So

      either the intent is to say R1 (or R2) is the RB closer to the root. Or the intent is to say that depending

      on whether traffic is flowing towards or away for the root, you may choose a different adjacency. Whichever

      interpretation is intended should be clarified.

    Section 4.5.2

    "Most preferred are those established by P2P Hellos with tie-

    breaking among those based on preferring the one with the

    numerically highest Extended Circuit ID."

       According to rfc 5303, there is no concept of a shared extended circuit ID, only the ext cid advertised by

       each side. So this should be state which RBs ext cid is intended.

      Jeff

_______________________________________________
rbridge mailing list
[email-masked]
http://mailman.postel.org/mailman/listinfo/rbridge

---

From: Donald Eastlake <[email-masked]>
Date: Fri, 3 Jul 2009 00:30:23 -0400

See partial response below...

On Wed, Jul 1, 2009 at 1:53 PM, Jeff Pickering<[email-masked]> wrote:
> ...

It's symmetric. This is all local to R1 and R2 and each should pick
the same adjacency so it really makes no difference which way a
particular frame is going or which of them is closer to the
distribution tree root. The wording should be clarified. See other
response below.

>        According to rfc 5303, there is no concept of a shared extended
> circuit ID, only the ext cid advertised by

Good observation. It should say something like "... the one for which
the RBridge with the highest System-ID has assigned the numerically
highest Extended Circuit ID." Also, it would probably be good to add
RFC 5303 to the references. Note that this is symmetric. Both R1 and
R2 will pick the same one of the parallel adjacencies to send to the
other and to receive from the other.

>       Jeff

Thanks,
Donald